<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package taskup
 */
global $post, $taskbot_settings;

$title_404			= !empty($taskbot_settings['title_404']) ? $taskbot_settings['title_404'] : esc_html__('You running into nowhere','taskup');
$subtitle_404		= !empty($taskbot_settings['subtitle_404']) ? $taskbot_settings['subtitle_404'] : esc_html__('Uhoo! Page not found','taskup');
$description_404	= !empty($taskbot_settings['description_404']) ? $taskbot_settings['description_404'] : esc_html__( 'It looks like nothing was found on this path. Maybe you should try with another link or make a quick new keyword search below?', 'taskup' );;
$image_404			= !empty($taskbot_settings['image_404']['url']) ? $taskbot_settings['image_404']['url'] : get_template_directory_uri().'/images/404.svg';
get_header();
?>
<div class="tk-main-section">
	<div class="container">
		<div class="row">
			<div class="col-sm-12 col-md-8 m-auto">
				<div class="tk-errorpage">
					<?php if(!empty($image_404)){?>
						<figure>
							<img src="<?php echo esc_url($image_404);?>" alt="<?php esc_attr_e('Page not found','taskup')?> image">
						</figure>
					<?php } ?>
					<?php if( !empty($title_404) || !empty($subtitle_404) || !empty($description_404) ){?>
						<div class="tk-notfound-title">
							<?php if( !empty($title_404) ){?>
								<h4><?php echo esc_html($title_404);?></h4>
							<?php } ?>
							<?php if( !empty($subtitle_404) ){?>
								<h2><?php echo esc_html($subtitle_404);?></h2>
							<?php } ?>
							<?php if( !empty($description_404) ){?>
								<p><?php echo esc_html($description_404);?></p>	
							<?php } ?>
						</div>
					<?php } ?>
					<?php get_search_form();?>
					<div class="tk-description">
 						<p><?php echo sprintf( __( "You can also start from scratch. Goto %sHomepage%s instead", 'taskup' ), '<a href="'.esc_url(home_url('/')).'">', '</a>' );?></p>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>  
<?php
get_footer();
