<?php
/**
 * Taskon header template
 *
 * @link https://themeforest.net/user/amentotech/portfolio
 *
 * @package taskon
 */
global $taskbot_settings;
$site_loader	= !empty($taskbot_settings['site_loader']) ? $taskbot_settings['site_loader'] : '';
$search_item	= !empty($taskbot_settings['hide_search_item']) ? $taskbot_settings['hide_search_item'] : '';
$loader_type	= !empty($taskbot_settings['loader_type']) ? $taskbot_settings['loader_type'] : '';
$loader_image	= !empty($taskbot_settings['loader_image']['url']) ? $taskbot_settings['loader_image']['url'] : '';
$preloader = '';

$logo					= !empty($taskbot_settings['main_logo']['url']) ? $taskbot_settings['main_logo']['url'] : get_template_directory_uri() . '/images/logo.svg';
$page_id 				= get_the_ID();
$pages					= !empty($taskbot_settings['tb_dark_header']) ? $taskbot_settings['tb_dark_header'] : array();
$transparent_pages		= !empty($taskbot_settings['tb_transparent_header']) ? $taskbot_settings['tb_transparent_header'] : array();
$header_classs			= '';
if ( is_page() && !empty($pages) && in_array($page_id,$pages) ) {
	$logo		= !empty($taskbot_settings['transparent_logo']['url']) ? $taskbot_settings['transparent_logo']['url'] : get_template_directory_uri() . '/images/logo.svg';
} else {
	if ( is_page() && !empty($transparent_pages) && in_array($page_id,$transparent_pages) ) {
		$logo			= !empty($taskbot_settings['transparent_logo']['url']) ? $taskbot_settings['transparent_logo']['url'] : get_template_directory_uri() . '/images/logov2.svg';
		$header_classs	= 'tk-headerv2';
	}
}

$blogname 		= wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
$header_search	= !empty($taskbot_settings['header_search']) ? $taskbot_settings['header_search'] : false;
$search_result	= !empty($taskbot_settings['search_result']) ? $taskbot_settings['search_result'] : '';
if( function_exists('taskbot_get_page_uri')){
	$search_result	= !empty($search_result) ? taskbot_get_page_uri($search_result) : '';
}

$form_pages		= !empty($taskbot_settings['form_pages']) ? $taskbot_settings['form_pages'] : array();
$list_types		= array();
if( function_exists('taskbot_search_list_type')){
	$list_types		= taskbot_search_list_type();
}

if (  !empty($header_search) && is_page() && !empty($form_pages) && in_array($page_id,$form_pages) ) {
	$header_search	= true;
	if ( is_page() && !empty($transparent_pages) && in_array($page_id,$transparent_pages) ) {
		$header_classs	= $header_classs;
	} else {
		$header_classs	.= ' tk-headersearchbar';
	}
} else {
	$header_search	= false;
}

$type_one	= false;
if( !empty($search_item) && is_array($search_item) && count($search_item) <= 1  ){
	if(!empty($search_item[0])){
		$search_result	= taskbot_get_page_uri($search_item[0]);
	}else{
		$search_result	= taskbot_get_page_uri('sellers_search_page');
	}
	
	$type_one	= true;
}

if (!empty($site_loader) ) {
	if ( !empty($loader_type) && $loader_type == 'default' ) {?>
		<div class="preloader-outer">
			<div class="sv-preloader_holder">
				<div class="sv-loader">
					<img class="fa-spin" src="<?php echo esc_url(get_template_directory_uri().'/images/loader.png'); ?>" alt="<?php esc_attr_e('Loading...', 'taskon'); ?>" />
				</div>
			</div>
		</div>
		<?php
	} elseif(!empty($loader_image)) {?>
		<div class="preloader-outer">
			<div class="sv-preloader_holder">
				<div class="sv-loader">
					<img class="fa-spin" src="<?php echo esc_url($loader_image); ?>" alt="<?php esc_attr_e('Loading...', 'taskon'); ?>" />
				</div>
			</div>
		</div>
		<?php
	}
}
?>
<header class="tk-header <?php echo esc_attr($header_classs);?>">
	<div class="container">
		<div class="row">
			<div class="col-12">
				<div class="tk-headerwrap">
					<?php if(!empty($logo)){?>
						<strong class="tk-logo"><a href="<?php echo esc_url(home_url('/')); ?>"><img class="amsvglogo" src="<?php echo esc_url($logo);?>" alt="<?php esc_attr($blogname);?>"></a></strong>
					<?php }?>
					<?php if( !empty($header_search) ){?>
						<form action="<?php echo esc_url($search_result);?>" method="GET" id="tk-header-form" class="tk-theme-form">
							<div class="tk-appendinput">
								<div class="tk-inputicon">
									<a href="javascript:void(0);"><i class="tb-icon-search"></i></a>
									<input type="text" class="form-control" name="keyword" placeholder="<?php esc_attr_e('What are you looking for?','taskon');?>">
								</div>
								<?php if( !empty($search_item) && empty( $type_one ) ){?>
									<div class="tk-select">
										<i class="tb-icon-layers"></i>
										<select id="tk-list-type" data-placeholderinput="<?php esc_attr_e('Select list','taskon');?>" data-placeholder="<?php esc_attr_e('Select list type','taskon');?>" class="form-control">
											<option label="<?php esc_attr_e('Select list type','taskon');?>"></option>
											<?php foreach($search_item as $key => $value){
												if( !empty($value) ){
													$page_url	= '';
													if( function_exists('taskbot_get_page_uri') ){
														$page_url	= taskbot_get_page_uri($value);
													}

													$item_dsplay = !empty($list_types[$value]) ?  $list_types[$value] : $value;
													?>
													<option value="<?php echo esc_attr($value);?>" data-url="<?php echo esc_url($page_url);?>" ><?php echo esc_html($item_dsplay);?></option>
												<?php } ?>
											<?php } ?>
										</select>
									</div>
								<?php }else{?>
									<input type="hidden" value="<?php echo esc_attr($search_result);?>">	
								<?php } ?>
								<button type="submmit" class="tk-btn-solid tk-darkbtn" id="tk-btn-search"><?php esc_html_e('Search now','taskon');?></button>
								<div class="tk-formcloseicon"><a href="javascript:void(0);"><i class="tb-icon-x"></i></a></div>
							</div>
						</form>
						<div class="tk-formicon"><a href="javascript:void(0);" class="tk-btn-solid-sm tk-btn-yellow"><i class="tb-icon-search"></i></a></div>
					<?php } ?>
					<nav class="navbar-expand-xl tk-navbar">
						<div class="tk-navbar-right">
							<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="<?php esc_attr_e('Toggle navigation','taskon');?>">
								<span class="tb-icon-menu"></span>
							</button>
							<div class="collapse navbar-collapse" id="navbarNav">
								<?php
									wp_nav_menu(
										array(
											'theme_location' => 'primary-menu',
											'menu_id'        	=> 'primary-menu',
											'menu_class'        => 'navbar-nav tb-navbarnav tk-menu-navbarnav',
										)
									);
								?>
							</div>
						</div>
					</nav>
				</div>
			</div>
		</div>
	</div>
</header>
<?php 
if( !empty($header_search) ){
	$scripts	= "
	jQuery(function () {
		jQuery('#tk-list-type').select2({
    		theme: 'default tk-select2-dropdown
		});
		jQuery('.tk-formicon').on('click',function(){
			jQuery(this).closest('.tk-header').addClass('tk-searchopen');
		});
		jQuery('.tk-formcloseicon').on('click',function(){
			jQuery(this).closest('.tk-header').removeClass('tk-searchopen');
		});
		
	});";

	wp_add_inline_script('taskon-callbacks', $scripts, 'after');
}