<?php
/**
 * Taskup footer template
 *
 * @link https://themeforest.net/user/amentotech/portfolio
 *
 * @package taskup
 */
global $taskbot_settings;
$footer_copyright 	= !empty($taskbot_settings['copyright']) ? $taskbot_settings['copyright'] : esc_html__('Copyright &copy;', 'taskup') . date('Y') . '&nbsp;' . get_bloginfo();
?>
<footer class="tk-footer-two">
	<?php if ( is_active_sidebar('taskup-sidebar-f1') || is_active_sidebar('taskup-sidebar-f2') || is_active_sidebar('taskup-sidebar-f3') ) {?>
        <div class=" tk-footer-two_head">
			<div class="container">
				<div class="row">
					<?php if (is_active_sidebar('taskup-sidebar-f1')) : ?>
						<div class="col-12 col-xl-4">
							<?php dynamic_sidebar('taskup-sidebar-f1'); ?>
						</div>
					<?php endif; ?>
					<?php if (is_active_sidebar('taskup-sidebar-f2')) : ?>
						<div class="col-12 col-lg-6 col-xl-4">
							<?php dynamic_sidebar('taskup-sidebar-f2'); ?>
						</div>
					<?php endif; ?>
					<?php if (is_active_sidebar('taskup-sidebar-f3')) : ?>
						<div class="col-12 col-lg-6 col-xl-4">
							<?php dynamic_sidebar('taskup-sidebar-f3'); ?>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	<?php } ?>
	
	<div class="tk-footer-two_copyright">
		<div class="container">
			<div class="wk-fcopyright">
				<?php if(!empty($footer_copyright)){?>
					<span class="wk-fcopyright_info"><?php echo esc_html($footer_copyright);?></span>
				<?php }?>
				<?php if ( has_nav_menu( 'footer-menu' ) ) {?>
					<div class="wk-fcopyright_list">
						<?php
							wp_nav_menu(
								array(
									'menu_class'		=> 'tk-footetbtmlinks',
									'theme_location' 	=> 'footer-menu',
									'menu_id'        	=> 'footer-menu',
								)
							);
						?>
					</div>
				<?php }?>
			</div>
		</div>
	</div>
</footer>