<?php
/**
 * Taskup header template
 *
 * @link https://themeforest.net/user/amentotech/portfolio
 *
 * @package taskup
 */
global $taskbot_settings;
$site_loader	= !empty($taskbot_settings['site_loader']) ? $taskbot_settings['site_loader'] : '';
$hide_search_item	= !empty($taskbot_settings['hide_search_item']) ? $taskbot_settings['hide_search_item'] : '';
$loader_type	= !empty($taskbot_settings['loader_type']) ? $taskbot_settings['loader_type'] : '';
$loader_image	= !empty($taskbot_settings['loader_image']['url']) ? $taskbot_settings['loader_image']['url'] : '';
$preloader = '';

$logo					= !empty($taskbot_settings['main_logo']['url']) ? $taskbot_settings['main_logo']['url'] : get_template_directory_uri() . '/images/logo.svg';
$page_id 				= get_the_ID();
$pages					= !empty($taskbot_settings['tb_dark_header']) ? $taskbot_settings['tb_dark_header'] : array();
$transparent_pages		= !empty($taskbot_settings['tb_transparent_header']) ? $taskbot_settings['tb_transparent_header'] : array();
$header_classs			= '';
if ( is_page() && !empty($transparent_pages) && in_array($page_id,$transparent_pages) ) {
	$logo			= !empty($taskbot_settings['transparent_logo']['url']) ? $taskbot_settings['transparent_logo']['url'] : get_template_directory_uri() . '/images/logov2.svg';
	$header_classs	= 'tk-header-two';
}

$blogname 		= wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
if (!empty($site_loader) ) {
	if ( !empty($loader_type) && $loader_type == 'default' ) {?>
		<div class="preloader-outer">
			<div class="sv-preloader_holder">
				<div class="sv-loader">
					<img class="fa-spin" src="<?php echo esc_url(get_template_directory_uri().'/images/loader.png'); ?>" alt="<?php esc_attr_e('Loading...', 'taskup'); ?>" />
				</div>
			</div>
		</div>
		<?php
	} elseif(!empty($loader_image)) {?>
		<div class="preloader-outer">
			<div class="sv-preloader_holder">
				<div class="sv-loader">
					<img class="fa-spin" src="<?php echo esc_url($loader_image); ?>" alt="<?php esc_attr_e('Loading...', 'taskup'); ?>" />
				</div>
			</div>
		</div>
		<?php
	}
}
?>
<header class="tk-header <?php echo esc_attr($header_classs);?>">
	<div class="container-fluid">
		<div class="row">
			<div class="col-sm-12">
				<div class="tk-header_wrap">
					<?php if(!empty($logo)){?>
						<strong class="tk-logo"><a href="<?php echo esc_url(home_url('/')); ?>"><img class="amsvglogo" src="<?php echo esc_url($logo);?>" alt="<?php esc_attr($blogname);?>"></a></strong>
					<?php }?>
					<?php if ( has_nav_menu( 'primary-menu' ) ) {?>
						<nav class="tk-themenavwrap navbar-expand-xl">
							<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="<?php esc_attr_e('Toggle navigation','taskup');?>">
                                <span class="tb-icon-menu"></span>
                            </button>
							<div class="collapse navbar-collapse tk-themenav" id="navbarNav">
								<?php
									wp_nav_menu(
										array(
											'theme_location' 	=> 'primary-menu',
											'menu_id'        	=> 'primary-menu'
										)
									);
								?>
							</div>
						</nav>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
</header>