<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package taskup
 */
global $post, $taskbot_settings;
$author_details		= !empty($taskbot_settings['author_details']) ? $taskbot_settings['author_details'] : '';
$related_article	= !empty($taskbot_settings['related_article']) ? $taskbot_settings['related_article'] : '';
$side_layout		= get_post_meta($post->ID, 'taskup_postlayout_setting', true);
$social_list  		= apply_filters('taskup_user_social_fields_listing',array());
$side_layout		= !empty($side_layout) ? $side_layout : 'right';
$page_sidebar		= get_post_meta($post->ID, 'taskup_postlayout_sidebar', true);
$sidebar_selected   = !empty($page_sidebar) ? $page_sidebar : 'single-post-sidebar';
do_action('taskbot_post_views', $post->ID,'taskup_post_views');
get_header();
$section_col = 'col-xl-12';

if(!empty($side_layout) && ($side_layout == 'left' || $side_layout == 'right') && is_active_sidebar( $sidebar_selected )){
	$section_col = 'col-xl-8 col-xxl-9';
}
?>
<div class="tk-main-section">
	<div class="container">
		<?php while ( have_posts() ) :
			global $post;
			the_post();
			$author_id 			= get_the_author_meta( 'ID' );?>
			<div class="row">
				
				<?php if(!empty($side_layout) && $side_layout == 'left' && is_active_sidebar( $sidebar_selected ) ){?>
					<div class="col-xl-4 col-xxl-3">
						<?php if ( is_active_sidebar( $sidebar_selected ) ) {?>
							<div class="tk-asidewrapper">
								<a href="javascript:void(0)" class="tk-dbmenu"><i class="tb-icon-layout"></i></a>
                        		<div class="tk-aside-menu">
									<?php
									// Author details
									if(!empty($author_details) && !empty(get_the_author_meta( 'description',$author_id ))){
										$object_id 			= get_the_author_meta( 'ID' );
										$avatar_url 		= get_avatar_url($author_id, 100);
										$avatar 			= '<img src="'.esc_url($avatar_url).'" alt="'.esc_attr(get_the_author()).'">';
										?>
										<div class="tk-blogprofileuser tk-single-author-box">
											<div class="tk-authorhead">
												<?php echo do_shortcode($avatar); ?>
												<div class="tk-profilrtitle">
													<h6><?php esc_html_e('Blog author','taskup');?></h6>
													<h5><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo get_the_author_meta('nickname'); ?></a></h5>
												</div>								
											</div>
											<?php if(!empty($social_list)){?>
												<div class="tk-boxtopsocial">
													<ul class="tk-socialicons">
														<?php 
														foreach($social_list as $key => $item ){ 
															$url  = get_the_author_meta($key, $author_id);
															if (!empty($url)){?>
															<li class="tk-<?php echo esc_attr($key); ?>">
																<a href="<?php echo esc_url($url); ?>">
																	<i class="<?php echo esc_attr($item['icon']); ?>"></i>
																</a>
															</li>
														<?php }} ?>
													</ul>
												</div>
											<?php } ?>
											<?php if ( get_the_author_meta( 'description',$author_id ) ) : ?>
												<div class="tk-blogprofileuser__description"><p><?php the_author_meta( 'description',$author_id ); ?></p></div>
											<?php endif; ?>
										</div>
									<?php }?>
									<?php dynamic_sidebar( $sidebar_selected ); ?>
								</div>
							</div>
						<?php }?>
					</div>
				<?php }?>
				<div class="<?php echo esc_attr($section_col);?>">
					<div class="tk-blogwrapper">
						<div class="tk-blogdescription">
							<div class="tk-bloginfo">
								<?php taskup_entry_footer(); ?>
							</div>
							<div class="tk-blogtitle">
								<h3><?php the_title()?></h3>
							</div>
							<ul class="tk-blogiteminfo">
								<li><?php taskup_posted_on();?></li>
								<li>
									<i class="tb-icon-message-square">
									</i>
									<span><?php comments_number(esc_html__('0 Comments' , 'taskup') , esc_html__('1 Comment' , 'taskup') , esc_html__('% Comments' , 'taskup')); ?></span>
								</li>
								<?php do_action('taskup_post_views',$post->ID);?>
							</ul>
							<?php taskup_post_thumbnail(); ?>
							<div class="tk-description tk-blogs-bottom">
								<?php	get_template_part( 'template-parts/content', get_post_type() );?>
							</div>
						</div>

						<?php
						// Blog post tags
						taskup_post_tags();						
						// Related posts
						if(!empty($related_article)){
							get_template_part( 'template-parts/content','related-articles' );
						}

						// If comments are open or we have at least one comment, load up the comment template.
						if ( ( comments_open() || get_comments_number() ) && get_post_type() === 'post' ) :
							comments_template();
						endif;
						?>						
					</div>
				</div>
				<?php if(!empty($side_layout) && $side_layout == 'right' && is_active_sidebar( $sidebar_selected ) ){?>
					<div class="col-xl-4 col-xxl-3">
							
						<?php if ( is_active_sidebar( $sidebar_selected ) ) {?>
							<div class="tk-asidewrapper">
								<a href="javascript:void(0)" class="tk-dbmenu"><i class="tb-icon-layout"></i></a>
                        		<div class="tk-aside-menu">
									<?php
									// Author details
									if(!empty($author_details) && !empty(get_the_author_meta( 'description',$author_id ))){
										$object_id 			= get_the_author_meta( 'ID' );
										$avatar_url 		= get_avatar_url($author_id, 100);
										$avatar 			= '<img src="'.esc_url($avatar_url).'" alt="'.esc_attr(get_the_author()).'">';
										?>
										<div class="tk-blogprofileuser tk-single-author-box">
											<div class="tk-authorhead">
												<?php echo do_shortcode($avatar); ?>
												<div class="tk-profilrtitle">
													<h6><?php esc_html_e('Blog author','taskup');?></h6>
													<h5><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo get_the_author_meta('nickname'); ?></a></h5>
												</div>								
											</div>
											<?php if(!empty($social_list)){?>
												<div class="tk-boxtopsocial">
													<ul class="tk-socialicons">
														<?php 
														foreach($social_list as $key => $item ){ 
															$url  = get_the_author_meta($key, $author_id);
															if (!empty($url)){?>
															<li class="tk-<?php echo esc_attr($key); ?>">
																<a href="<?php echo esc_url($url); ?>">
																	<i class="<?php echo esc_attr($item['icon']); ?>"></i>
																</a>
															</li>
														<?php }} ?>
													</ul>
												</div>
											<?php } ?>
											<?php if ( get_the_author_meta( 'description',$author_id ) ) : ?>
												<div class="tk-blogprofileuser__description"><p><?php the_author_meta( 'description',$author_id ); ?></p></div>
											<?php endif; ?>
										</div>
									<?php }?>					
									<?php dynamic_sidebar( $sidebar_selected ); ?>
								</div>
							</div>
						<?php }?>
					</div>
				<?php }?>
			</div>
		<?php endwhile; // End of the loop.?>
	</div>
</div>
<?php
get_footer();
